.
Page 1 of 4 123 ... LastLast
Results 1 to 15 of 46

Thread: Trainz Plus - 106291 update ready for testing

  1. #1
    Join Date
    Nov 2006
    Location
    Australia, Qld
    Posts
    6,122
     

    Default Trainz Plus - 106291 update ready for testing

    Trainz Plus Beta 106136 to Trainz Plus Beta 106291 is now ready for testing. Just a few fixes included.

    Changelist:
    • Fix - Assertion when merging routes - TADUnlockAssetforWorldState
    • Fix - Assertion "~GSOAsset> Asset was destroyed before clean shutdown"
    • Content store - username updates
    • Content set updates


    Known Issues (unable to be reproduced internally):

    • Andrushivka - Vinnitsa UZ route - broken track
    • Crash with CFD locotracteur sessions


    We're also investigating the low res textures when zoomed out.

    If you have an issue with the current build that is not listed here, then please let us know.
    Tony Hilliam

    Got questions about TRS19? Click here for TRS19 FAQs

    Looking for answers to in-game functionality? Click here for help

  2. #2
    Join Date
    Dec 2008
    Location
    New Zealand
    Posts
    337
     

    Default

    Thank you for the update but I have one issue - The update has caused the 'Jointed Rail Train Effects library v1.34d' to become faulty, affecting lots of assets.

    It's saying that there in an unknown asset <kuid2:45324:555201:1> which I can't find anywhere.

    Update: It seems that there should be 'Jointed Rail Train Effects library v1.41' installed which is in my copy I didn't update but this doesn't appear to have <kuid2:45324:555201:1> in it and when I installed v1.41 into the updated version it is still asking for the kuid, which I still can't find.
    Last edited by cabnz1; March 2nd, 2020 at 02:19 AM.

  3. #3
    Join Date
    Nov 2006
    Location
    Australia, Qld
    Posts
    6,122
     

    Default

    A quick look here shows this installed
    <kuid2:45324:555200:20> Jointed Rail Train Effects library v 1.31

    Another build has this installed (from the betatest sc373 package).
    <kuid2:45324:555246:2> Jointed Rail Train Effects library v1.42
    which obsoletes the <kuid2:45324:555200:28> Jointed Rail Train Effects library v1.34d version

    I can't do anything right atm, but I would suggest updating any JR content.
    Also, maybe JR have a solution.
    Tony Hilliam

    Got questions about TRS19? Click here for TRS19 FAQs

    Looking for answers to in-game functionality? Click here for help

  4. #4
    Join Date
    Dec 2008
    Location
    New Zealand
    Posts
    337
     

    Default

    Thanks for your reply Tony, I was just about to delete or edit my post. I did the obvious (and what you suggested) and redownloaded and installed the kuids from JR and all is good. I feel a bit silly now! feel free to delete my post if you like.

    Thanks again

  5. #5
    Join Date
    Oct 2007
    Location
    Australia, Queensland, CLINTON (QLD)
    Posts
    724
     

    Default

    Install ok DB rebuild ok - seems after every update I do get some faulty assets - mainly thumbnails missing.
    One thing - seems to not save the thumbnail shot when creating new route - tested 3 times - no thumbnail shot shows in Route launcher.
    butler57

  6. #6
    Join Date
    Aug 2009
    Location
    United States of America, CA
    Posts
    2,870
     

    Default

    Quote Originally Posted by cabnz1 View Post
    Thank you for the update but I have one issue - The update has caused the 'Jointed Rail Train Effects library v1.34d' to become faulty, affecting lots of assets.

    It's saying that there in an unknown asset <kuid2:45324:555201:1> which I can't find anywhere.

    Update: It seems that there should be 'Jointed Rail Train Effects library v1.41' installed which is in my copy I didn't update but this doesn't appear to have <kuid2:45324:555201:1> in it and when I installed v1.41 into the updated version it is still asking for the kuid, which I still can't find.
    Had the same problem. I D/L JR's latest version and I listed/highlighted all the locos that showed faulty and entered "download" on the right-click menu, problem solved!

    John.

  7. #7
    Join Date
    Nov 2006
    Location
    United States of America, TN, Memphis
    Posts
    1,700
     

    Default

    Downloaded version 106291 with no problem. The automatic database rebuild took about 20 minutes, which is unusually long on my computer (usually takes less then 5 minutes). When I opened up the content manager I had about 35 assets showing faults - a lot of them by davesnow.

    I opened them for edit and then resubmitted them and all the faults disappeared. All the faulty assets were from the DLS and were the most current version. I've seen this before where the fix is to simply open for edit and then submit the edit.

  8. #8
    Join Date
    Nov 2008
    Location
    Crewe, Cheshire, UK
    Posts
    16,006
     

    Default

    No problem updating here, nothing faulty or missing, in fact I had three faulty insignificant items in the last build that have now gone away.
    Malc


  9. #9
    Join Date
    Nov 2006
    Location
    Slovenia
    Posts
    149
     

    Default

    Hi,

    This version is a mess.
    All SAP 132 track procedural switches without frogs and not rendering, missing Jointed Rail Settings library v 0.5 <kuid2:45324:555201:2> made Jointed Rail locos and cars faulty,......

    Please advise.

    Kind Regards
    Darko

  10. #10
    Join Date
    Dec 2008
    Location
    New Zealand
    Posts
    337
     

    Default

    Quote Originally Posted by buci View Post
    Hi,

    This version is a mess.
    All SAP 132 track procedural switches without frogs and not rendering, missing Jointed Rail Settings library v 0.5 <kuid2:45324:555201:2> made Jointed Rail locos and cars faulty,......

    Please advise.

    Kind Regards
    Darko
    Hi Darko,

    In regards to the Jointed Rail issue, download and install the library assets from Jointed rail, that seemed to fix it at my end.

  11. #11
    Join Date
    Nov 2006
    Location
    Slovenia
    Posts
    149
     

    Default

    Hi,

    Which one? I already have all Jointed Rail Libraries instaled but are now obsolete.

  12. #12
    Join Date
    Nov 2008
    Location
    Crewe, Cheshire, UK
    Posts
    16,006
     

    Default

    Quote Originally Posted by buci View Post
    Hi,

    This version is a mess.
    All SAP 132 track procedural switches without frogs and not rendering, missing Jointed Rail Settings library v 0.5 <kuid2:45324:555201:2> made Jointed Rail locos and cars faulty,......

    Please advise.

    Kind Regards
    Darko
    Database repair advised before assuming stuff is broken, it may be but often it isn't.
    Malc


  13. #13
    Join Date
    Nov 2006
    Location
    United States of America, Calif., Greenville
    Posts
    701
    Blog Entries
    1
     

    Default

    It would be nice if I could get rid of the False "missing dependencies" I have all through my UMR2020 sessions!
    I have checked and there are none missing in content explorer, but they are all RED and have the icon when choosing from the thumbnails.

    Dave

  14. #14
    Join Date
    Dec 2008
    Location
    New Zealand
    Posts
    337
     

    Default

    Quote Originally Posted by buci View Post
    Hi,

    Which one? I already have all Jointed Rail Libraries instaled but are now obsolete.
    These are the two I re-installed: 'Jointed Rail Train Effects Library v1.34b' and 'Locomotive Sound Effects library'. I started with those two but you probably only need the first one. Whichever one it was, fixed it for me.

  15. #15
    Join Date
    Nov 2006
    Location
    France
    Posts
    1,951
     

    Default

    For me installing "Jointed Rail Train Effects library v1.34b" (<kuid2:45324:555200:26>) and "Jointed Rail Settings library v 0.5" (<kuid2:45324:555201:2>) sorted all the issues with JR's stuff.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •